<?php
/* ======================================================================
 * 
 * CRONJOB VIEWER :: AJAX HELPER
 * 
 * ======================================================================
 */

require_once 'classes/cronlog-renderer.class.php';


$sMode='html';
$sItem=isset($_GET['item']) && $_GET['item'] ? $_GET['item'] : false;
$sServer=isset($_GET['server']) && $_GET['server'] ? $_GET['server'] : false;


$sHtml='';
$oCL = new cronlogrenderer();
if($sServer){
    $oCL->setServer($sServer);
}
switch ($sItem){
    case 'crontable':
        if($sServer==='ALL'){
            $sHtml.=$oCL->renderJoblistOfAllServers();
        } else {
            $sHtml.=$oCL->renderJoblist();
        }
        break;
    case 'cronlogs':
        if($sServer==='ALL'){
            $sHtml.=$oCL->renderCronlogsOfAllServers();
        } else {
            $sHtml.=$oCL->renderCronlogs();
        }
        break;
    case 'graph':
        if($sServer==='ALL'){
            $sHtml.=$oCL->renderJobGraphOfAllServers();
        } else {
            $sHtml.=$oCL->renderJobGraph();
        }
        break;
    case 'selectserver':
        $sHtml.=$oCL->renderServerlist($sServer);
        break;
    case 'showlog':
        $sLogfile=isset($_GET['logfile']) && $_GET['logfile'] ? $_GET['logfile'] : false;
        $sHtml.=$oCL->renderLogfile($sLogfile);
        break;
    default:
        header('HTTP/1.0 400 Bad request');
        die('unknown item ['.$sItem.'] ... or it is not implemented yet.');
}
echo $sHtml;
